summaryrefslogtreecommitdiff
path: root/tests/mv/update
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/update')
-rwxr-xr-xtests/mv/update5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/mv/update b/tests/mv/update
index 768ccefe2..74cd3a21e 100755
--- a/tests/mv/update
+++ b/tests/mv/update
@@ -41,6 +41,11 @@ mv --update new old || fail=1
test -f new && fail=1
case "`cat old`" in new) ;; *) fail=1 ;; esac
+# Restore initial conditions.
+echo old > old || fail=1
+touch -d yesterday old || fail=1
+echo new > new || fail=1
+
# This will actually perform the copy.
cp --update new old || fail=1
case "`cat old`" in new) ;; *) fail=1 ;; esac